from time import sleep

import pygame.font


class Button():

    def __init__(self, app, msg, position, button_size):
        """Инициализирует атрибуты кнопки."""
        self.screen = app.screen
        self.screen_rect = self.screen.get_rect()
        self.font = 'arial'
        # Назначение размеров и свойств кнопок.
        self.width, self.height = button_size
        self.button_color_unpressed = (240, 240, 240)
        self.button_color_pressed = (230, 230, 230)
        self.cur_button_color = self.button_color_unpressed
        self.text_color = (0, 0, 0)
        self.font = pygame.font.SysFont(self.font, 3 * self.height // 4)
        # Построение объекта rect кнопки и выравнивание по центру экрана.
        self.rect = pygame.Rect(*position, self.width, self.height)

        # Сообщение кнопки создается только один раз.
        self.msg = msg
        self._prep_msg(self.msg)
        self.pressed = False

    def _prep_msg(self, msg):
        self.msg_image = self.font.render(msg, True, self.text_color,
                                          self.cur_button_color)
        self.msg_image_rect = self.msg_image.get_rect()
        self.msg_image_rect.center = self.rect.center

    def draw_button(self):
        # Отображение пустой кнопки и вывод сообщения.
        if self.pressed:
            self.cur_button_color = self.button_color_pressed
            self.pressed = False
        else:
            self.cur_button_color = self.button_color_unpressed

        self._prep_msg(self.msg)
        self.screen.fill(self.cur_button_color, self.rect)
        self.screen.blit(self.msg_image, self.msg_image_rect)
